## javanet.staxutils.events
Class ProcessingInstructionEvent

    java.lang.Object
      javanet.staxutils.events.AbstractXMLEvent
          javanet.staxutils.events.ProcessingInstructionEvent

All Implemented Interfaces:
  Serializable, Cloneable, ExtendedXMLEvent, ProcessingInstruction, XMLEvent, XMLStreamConstants

    public class ProcessingInstructionEvent

extends AbstractXMLEvent
implements ProcessingInstruction

`ProcessingInstruction` event implementation.

Version:
  $Revision: 1.2 $
Author:
  Christian Niles
See Also:
  Serialized Form

Field Summary
`protected String` `data` The instruction data.
`protected String` `target` The PI target.

Fields inherited from class javanet.staxutils.events.AbstractXMLEvent
`location, schemaType`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`ProcessingInstructionEvent(ProcessingInstruction that)`
`ProcessingInstructionEvent(String target, String data)`
`ProcessingInstructionEvent(String target, String data, Location location)`

Method Summary
`String` `getData()`
`int` `getEventType()` Returns `XMLStreamConstants.PROCESSING_INSTRUCTION`.
`String` `getTarget()`

Methods inherited from class javanet.staxutils.events.AbstractXMLEvent
`asCharacters, asEndElement, asStartElement, clone, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, matches, toString, writeAsEncodedUnicode, writeEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Field Detail

### target

    protected String target

  The PI target.

### data

    protected String data

  The instruction data.

Constructor Detail

### ProcessingInstructionEvent

    public ProcessingInstructionEvent(String target,
                                      String data)

### ProcessingInstructionEvent

    public ProcessingInstructionEvent(String target,
                                      String data,
                                      Location location)

### ProcessingInstructionEvent

    public ProcessingInstructionEvent(ProcessingInstruction that)

Method Detail

### getEventType

    public int getEventType()

  Returns `XMLStreamConstants.PROCESSING_INSTRUCTION`.

  Specified by:
    `getEventType` in interface `XMLEvent`

### getTarget

    public String getTarget()

  Specified by:
    `getTarget` in interface `ProcessingInstruction`

### getData

    public String getData()

  Specified by:
    `getData` in interface `ProcessingInstruction`